Bug 713687 - [abrt] kernel: BUG: soft lockup - CPU#0 stuck for 67s! [modprobe:499] in ath5k_pci_eeprom_read
Summary: [abrt] kernel: BUG: soft lockup - CPU#0 stuck for 67s! [modprobe:499] in ath5...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 711962 718431 718433 718435 719130 719131 719133 719134 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-16 09:08 UTC by DAKSH
Modified: 2014-08-20 18:32 UTC (History)
52 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-10 14:33:56 UTC
Type: ---


Attachments (Terms of Use)
dmesg as requested (66.24 KB, text/plain)
2011-08-24 16:49 UTC, Steve
no flags Details

Description DAKSH 2011-06-16 09:08:06 UTC
abrt version: 2.0.1
architecture:   x86_64
cmdline:        ro root=UUID=ec65c549-0519-4bbb-abf2-967e188dcf5b rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us rhgb quiet
comment:        cpu stucking during boot up
component:      kernel
kernel:         2.6.38.7-30.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         BUG: soft lockup - CPU#0 stuck for 67s! [modprobe:499]
reported_to:    kerneloops: URL=http://submit.kerneloops.org/submitoops.php
time:           Thu Jun  9 10:02:36 2011

backtrace:
:BUG: soft lockup - CPU#0 stuck for 67s! [modprobe:499]
:Modules linked in: snd_pcm(+) ppdev ath5k(+) ath mac80211 snd_timer microcode option usb_wwan usbserial cfg80211 snd iTCO_wdt iTCO_vendor_support atl1 sc92031 i2c_i801 soundcore rfkill snd_page_alloc mii parport_pc parport asus_atk0110 ipv6 uas usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video
:CPU 0 
:Modules linked in: snd_pcm(+) ppdev ath5k(+) ath mac80211 snd_timer microcode option usb_wwan usbserial cfg80211 snd iTCO_wdt iTCO_vendor_support atl1 sc92031 i2c_i801 soundcore rfkill snd_page_alloc mii parport_pc parport asus_atk0110 ipv6 uas usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video
:Pid: 499, comm: modprobe Not tainted 2.6.38.7-30.fc15.x86_64 #1 System manufacturer System Product Name/P5B-MX/WiFi-AP
:RIP: 0010:[<ffffffff81235868>]  [<ffffffff81235868>] ioread32+0xf/0x31
:RSP: 0018:ffff8800379a9a78  EFLAGS: 00000292
:RAX: 0000000000000000 RBX: ffffc90015e86008 RCX: 0000000000000000
:RDX: ffff8800379a9b56 RSI: ffffc90015e86008 RDI: ffffc90015e8600c
:RBP: ffff8800379a9a78 R08: 0000000000000000 R09: ffff8800379a9ba4
:R10: ffff8800379a9ba4 R11: 0000000000000003 R12: ffffffff8100a58e
:R13: 000000003e00eb28 R14: 0000000000000000 R15: ffff8800379a9ba4
:FS:  00007fcf116d0720(0000) GS:ffff88007f400000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 00007fc2661906a0 CR3: 00000000372db000 CR4: 00000000000006f0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process modprobe (pid: 499, threadinfo ffff8800379a8000, task ffff880075ca1730)
:Stack:
: ffff8800379a9aa8 ffffffffa030c556 0000000000000000 ffff88003790e000
: 0000000000000340 000000000000ffff ffff8800379a9ab8 ffffffffa02f5603
: ffff8800379a9b88 ffffffffa02f6b50 00000000003d09bd ffffffffffffff8e
:Call Trace:
: [<ffffffffa030c556>] ath5k_pci_eeprom_read+0xd0/0x124 [ath5k]
: [<ffffffffa02f5603>] ath5k_hw_nvram_read+0x13/0x15 [ath5k]
: [<ffffffffa02f6b50>] ath5k_eeprom_init+0x1a5/0x171a [ath5k]
: [<ffffffff810106cb>] ? native_read_tsc+0x6/0x14
: [<ffffffff81475d0e>] ? common_interrupt+0xe/0x13
: [<ffffffff81235791>] ? iowrite32+0x14/0x33
: [<ffffffffa03021f8>] ath5k_hw_init+0x54c/0x820 [ath5k]
: [<ffffffffa0306015>] ath5k_init_softc+0x232/0xf49 [ath5k]
: [<ffffffff812e3911>] ? __dev_printk+0x62/0x69
: [<ffffffff812e396b>] ? _dev_info+0x53/0x55
: [<ffffffffa030c7f8>] ath5k_pci_probe+0x1c1/0x20c [ath5k]
: [<ffffffff812463ee>] local_pci_probe+0x44/0x75
: [<ffffffff81246e80>] pci_device_probe+0xd0/0xff
: [<ffffffff812e6b15>] driver_probe_device+0x124/0x1ff
: [<ffffffff812e6c4a>] __driver_attach+0x5a/0x7e
: [<ffffffff812e6bf0>] ? __driver_attach+0x0/0x7e
: [<ffffffff812e5bb6>] bus_for_each_dev+0x53/0x89
: [<ffffffff812e6722>] driver_attach+0x1e/0x20
: [<ffffffff812e6334>] bus_add_driver+0xe2/0x235
: [<ffffffffa031f000>] ? init_ath5k_pci+0x0/0x3b [ath5k]
: [<ffffffff812e6e33>] driver_register+0x98/0x105
: [<ffffffffa031f000>] ? init_ath5k_pci+0x0/0x3b [ath5k]
: [<ffffffff81247743>] __pci_register_driver+0x56/0xc3
: [<ffffffffa031f000>] ? init_ath5k_pci+0x0/0x3b [ath5k]
: [<ffffffffa031f020>] init_ath5k_pci+0x20/0x3b [ath5k]
: [<ffffffff810020a4>] do_one_initcall+0x7f/0x137
: [<ffffffff81085349>] sys_init_module+0xa6/0x1e4
: [<ffffffff81009bc2>] system_call_fastpath+0x16/0x1b
:Code: 00 76 08 0f b7 d7 ed 0f c8 eb 0f 48 c7 c6 6e 86 7c 81 e8 c3 fe ff ff 83 c8 ff 5d c3 55 48 81 ff ff ff 03 00 48 89 e5 76 04 8b 07 <eb> 1e 48 81 ff 00 00 01 00 76 06 0f b7 d7 ed eb 0f 48 c7 c6 88 

event_log:
:2011-06-16-14:33:41> Submitting oops report to http://submit.kerneloops.org/submitoops.php
:2011-06-16-14:34:05  Kernel oops report was uploaded

Comment 1 Chuck Ebbert 2011-07-07 00:33:19 UTC
*** Bug 718435 has been marked as a duplicate of this bug. ***

Comment 2 Chuck Ebbert 2011-07-07 00:33:42 UTC
*** Bug 718433 has been marked as a duplicate of this bug. ***

Comment 3 Chuck Ebbert 2011-07-07 00:33:54 UTC
*** Bug 718431 has been marked as a duplicate of this bug. ***

Comment 4 Chuck Ebbert 2011-07-07 00:34:06 UTC
*** Bug 719130 has been marked as a duplicate of this bug. ***

Comment 5 Chuck Ebbert 2011-07-07 00:34:28 UTC
*** Bug 719131 has been marked as a duplicate of this bug. ***

Comment 6 Chuck Ebbert 2011-07-07 00:34:40 UTC
*** Bug 719133 has been marked as a duplicate of this bug. ***

Comment 7 Chuck Ebbert 2011-07-07 00:35:04 UTC
*** Bug 719134 has been marked as a duplicate of this bug. ***

Comment 8 DAKSH 2011-07-12 17:00:12 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 9 DAKSH 2011-07-12 17:01:30 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 10 DAKSH 2011-07-12 17:02:32 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 11 DAKSH 2011-07-12 17:03:45 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 12 DAKSH 2011-07-12 17:05:06 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 13 DAKSH 2011-07-12 17:06:44 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 14 DAKSH 2011-07-12 17:06:58 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 15 John W. Linville 2011-07-12 17:40:49 UTC
Honestly, my first impression is that this is a hardware problem.  Is there some other (perhaps earlier) kernel that consistently works for you?

Comment 16 DAKSH 2011-07-13 08:39:11 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 17 DAKSH 2011-07-13 08:39:49 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 18 DAKSH 2011-07-13 08:40:29 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 19 DAKSH 2011-07-13 08:41:24 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 20 John W. Linville 2011-07-13 14:01:16 UTC
Honestly, all those "happened during startup" comments aren't very helpful...

Comment 21 DAKSH 2011-07-13 15:15:21 UTC
(In reply to comment #15)
and
(In reply to comment #20)

actually I think it is happening for anacondoa. on fedora 15 ananconda has been updated twice before last time it has been stopped.but after the last anaconda update it started again. no problem with kernel tried by all kernels. it's not a hardware problem I am using fedora since fedora core 8 on a same hardware

Comment 22 Attila Zilizi 2011-08-04 18:38:07 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
happened during startup

Comment 23 Attila Zilizi 2011-08-04 18:44:01 UTC
Output from dmesg. Maybe this comment is also useful.

41.854412] Clocksource tsc unstable (delta = -238435649 ns)
[   41.871074] Switching to clocksource hpet
[   44.166998] BUG: soft lockup - CPU#0 stuck for 23s! [biosdevname:691]
[   44.167330] Modules linked in: mac80211 cfg80211 leds_ss4200(-) ppdev virtio_net i2c_i801 atl1 parport_pc snd_timer snd soundcore snd_page_alloc serio_raw parport iTCO_wdt iTCO_vendor_support rfkill mii i2c_core asus_atk0110 joydev usblp kvm_intel kvm microcode usb_storage uas
[   44.167357] CPU 0 
[   44.167358] Modules linked in: mac80211 cfg80211 leds_ss4200(-) ppdev virtio_net i2c_i801 atl1 parport_pc snd_timer snd soundcore snd_page_alloc serio_raw parport iTCO_wdt iTCO_vendor_support rfkill mii i2c_core asus_atk0110 joydev usblp kvm_intel kvm microcode usb_storage uas
[   44.167379] 
[   44.167382] Pid: 691, comm: biosdevname Not tainted 2.6.40-4.fc15.x86_64 #1 System manufacturer System Product Name/P5B-MX/WiFi-AP
[   44.167388] RIP: 0010:[<ffffffff81250032>]  [<ffffffff81250032>] __raw_spin_unlock_irq.constprop.3+0x14/0x19
[   44.167398] RSP: 0018:ffff8801159cbd58  EFLAGS: 00000202
[   44.167401] RAX: 0000000000000000 RBX: ffffffff810832ef RCX: 0000000000001439
[   44.167404] RDX: 0000000000000cfe RSI: 0000000000000097 RDI: 0000000000000097
[   44.167407] RBP: ffff8801159cbd58 R08: 0000000000000002 R09: ffff8801159cbd84
[   44.167410] R10: 0000000000000000 R11: ffff8801150e90c0 R12: ffffffff814be18e
[   44.167413] R13: ffff8801150e90c0 R14: ffffffff8120bfbb R15: ffff8801159cbce8
[   44.167416] FS:  00007f8190556720(0000) GS:ffff88011fc00000(0000) knlGS:0000000000000000
[   44.167419] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   44.167422] CR2: 0000003e38ad4740 CR3: 0000000118555000 CR4: 00000000000006f0
[   44.167426] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   44.167428] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   44.167432] Process biosdevname (pid: 691, threadinfo ffff8801159ca000, task ffff8801141a9730)
[   44.167434] Stack:
[   44.167538]  ffff8801159cbda8 ffffffff8125012f 0000000000000097 ffffffff00000000
[   44.167544]  ffffffff81250032 0000839c00000010 0000000000000202 ffff8801197d3980
[   44.167548]  ffff880119076000 ffff8801141a9730 ffff8801159cbde8 ffffffff8125019e
[   44.167553] Call Trace:
[   44.167682]  [<ffffffff8125012f>] pci_user_read_config_word+0x73/0x91
[   44.167686]  [<ffffffff81250032>] ? __raw_spin_unlock_irq.constprop.3+0x14/0x19
[   44.167691]  [<ffffffff8125019e>] pci_vpd_pci22_wait+0x51/0xf7
[   44.167695]  [<ffffffff81250489>] pci_vpd_pci22_read+0xb4/0x12a
[   44.167699]  [<ffffffff8124fbd8>] pci_read_vpd+0x28/0x2a
[   44.167703]  [<ffffffff812576dd>] read_vpd_attr+0x33/0x35
[   44.167708]  [<ffffffff811820e8>] read+0x104/0x1c5
[   44.167712]  [<ffffffff81126f81>] vfs_read+0xa9/0xf0
[   44.167716]  [<ffffffff811270fe>] sys_pread64+0x5a/0x76
[   44.167720]  [<ffffffff814bd7c2>] system_call_fastpath+0x16/0x1b
[   44.167722] Code: 80 07 00 00 83 e3 01 e8 22 70 26 00 84 db 74 02 0f 0b 5b 41 5c 5d c3 55 48 89 e5 66 66 66 66 90 66 ff 05 12 35 b3 00 fb 66 66 90 
[   44.167994]  66 90 5d c3 55 48 89 e5 41 55 41 54 53 48 83 ec 28 66 66 66 
[   44.167994] Call Trace:
[   44.167994]  [<ffffffff8125012f>] pci_user_read_config_word+0x73/0x91
[   44.167994]  [<ffffffff81250032>] ? __raw_spin_unlock_irq.constprop.3+0x14/0x19
[   44.167994]  [<ffffffff8125019e>] pci_vpd_pci22_wait+0x51/0xf7
[   44.167994]  [<ffffffff81250489>] pci_vpd_pci22_read+0xb4/0x12a
[   44.167994]  [<ffffffff8124fbd8>] pci_read_vpd+0x28/0x2a
[   44.167994]  [<ffffffff812576dd>] read_vpd_attr+0x33/0x35
[   44.167994]  [<ffffffff811820e8>] read+0x104/0x1c5
[   44.167994]  [<ffffffff81126f81>] vfs_read+0xa9/0xf0
[   44.167994]  [<ffffffff811270fe>] sys_pread64+0x5a/0x76
[   44.167994]  [<ffffffff814bd7c2>] system_call_fastpath+0x16/0x1b
[   68.093993] BUG: soft lockup - CPU#1 stuck for 22s! [migration/1:8]
[   68.094000] Modules linked in: mac80211 cfg80211 leds_ss4200(-) ppdev virtio_net i2c_i801 atl1 parport_pc snd_timer snd soundcore snd_page_alloc serio_raw parport iTCO_wdt iTCO_vendor_support rfkill mii i2c_core asus_atk0110 joydev usblp kvm_intel kvm microcode usb_storage uas
[   68.094000] CPU 1 
[   68.094000] Modules linked in: mac80211 cfg80211 leds_ss4200(-) ppdev virtio_net i2c_i801 atl1 parport_pc snd_timer snd soundcore snd_page_alloc serio_raw parport iTCO_wdt iTCO_vendor_support rfkill mii i2c_core asus_atk0110 joydev usblp kvm_intel kvm microcode usb_storage uas
[   68.094000] 
[   68.094000] Pid: 8, comm: migration/1 Not tainted 2.6.40-4.fc15.x86_64 #1 System manufacturer System Product Name/P5B-MX/WiFi-AP
[   68.094000] RIP: 0010:[<ffffffff81099e4b>]  [<ffffffff81099e4b>] stop_machine_cpu_stop+0x61/0xc4
[   68.094000] RSP: 0018:ffff88011970bdd0  EFLAGS: 00000293
[   68.094000] RAX: 0000000000000001 RBX: 00000000000126c0 RCX: 0000000000000000
[   68.094000] RDX: 0000000000000100 RSI: 0000000000000100 RDI: ffff880117747e1c
[   68.094000] RBP: ffff88011970be00 R08: ffff88011fc8eb90 R09: 0000000000000001
[   68.094000] R10: 00000002c537a0a6 R11: 0000000000000003 R12: ffffffff814be18e
[   68.094000] R13: ffff88011fc926c0 R14: ffffffff81604a60 R15: ffff8801197032e0
[   68.094000] FS:  0000000000000000(0000) GS:ffff88011fc80000(0000) knlGS:0000000000000000
[   68.094000] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[   68.094000] CR2: 00007fbb951d2000 CR3: 0000000115e2d000 CR4: 00000000000006e0
[   68.094000] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   68.094000] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   68.094000] Process migration/1 (pid: 8, threadinfo ffff88011970a000, task ffff880119702e60)
[   68.094000] Stack:
[   68.094000]  0000000000000001 ffff880119702e60 ffff88011fc8eb70 ffff880117747d50
[   68.094000]  ffffffff81099dea ffff880117747df8 ffff88011970bee0 ffffffff81099d5a
[   68.094000]  ffff88011970bfd8 ffff880119702e60 0000000000000000 ffffffff81045269
[   68.094000] Call Trace:
[   68.094000]  [<ffffffff81099dea>] ? cpu_stopper_thread+0x187/0x187
[   68.094000]  [<ffffffff81099d5a>] cpu_stopper_thread+0xf7/0x187
[   68.094000]  [<ffffffff81045269>] ? finish_task_switch+0x83/0xb7
[   68.094000]  [<ffffffff814b58a3>] ? schedule+0x690/0x6be
[   68.094000]  [<ffffffff81040a77>] ? __wake_up_common+0x4d/0x83
[   68.094000]  [<ffffffff81099c63>] ? cpu_stop_signal_done+0x35/0x35
[   68.094000]  [<ffffffff8106fd0b>] kthread+0x84/0x8c
[   68.094000]  [<ffffffff814be8e4>] kernel_thread_helper+0x4/0x10
[   68.094000]  [<ffffffff8106fc87>] ? kthread_worker_fn+0x148/0x148
[   68.094000]  [<ffffffff814be8e0>] ? gs_change+0x13/0x13
[   68.094000] Code: 
[   72.178099] BUG: soft lockup - CPU#0 stuck for 23s! [biosdevname:691]
[   72.178101] Modules linked in: mac80211 cfg80211 leds_ss4200(-) ppdev virtio_net i2c_i801 atl1 parport_pc snd_timer snd soundcore snd_page_alloc serio_raw parport iTCO_wdt iTCO_vendor_support rfkill mii i2c_core asus_atk0110 joydev usblp kvm_intel kvm microcode usb_storage uas
[   72.178115] CPU 0 
[   72.178116] Modules linked in: mac80211 cfg80211 leds_ss4200(-) ppdev virtio_net i2c_i801 atl1 parport_pc snd_timer snd soundcore snd_page_alloc serio_raw parport iTCO_wdt iTCO_vendor_support rfkill mii i2c_core asus_atk0110 joydev usblp kvm_intel kvm microcode usb_storage uas
[   72.178130] 
[   72.178132] Pid: 691, comm: biosdevname Not tainted 2.6.40-4.fc15.x86_64 #1 System manufacturer System Product Name/P5B-MX/WiFi-AP
[   72.178137] RIP: 0010:[<ffffffff81250032>]  [<ffffffff81250032>] __raw_spin_unlock_irq.constprop.3+0x14/0x19
[   72.178142] RSP: 0018:ffff8801159cbd58  EFLAGS: 00000212
[   72.178145] RAX: 0000000000000000 RBX: ffffffff810832ef RCX: 00000000000016c7
[   72.178147] RDX: 0000000000000cfe RSI: 0000000000000097 RDI: 0000000000000097
[   72.178150] RBP: ffff8801159cbd58 R08: 0000000000000002 R09: ffff8801159cbd84
[   72.178152] R10: 0000000000000000 R11: ffff8801150e90c0 R12: ffffffff814be18e
[   72.178155] R13: ffff8801150e90c0 R14: ffffffff8120bfbb R15: ffff8801159cbce8
[   72.178158] FS:  00007f8190556720(0000) GS:ffff88011fc00000(0000) knlGS:0000000000000000
[   72.178161] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   72.178164] CR2: 0000003e38ad4740 CR3: 0000000118555000 CR4: 00000000000006f0
[   72.178166] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   72.178169] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   72.178171] Process biosdevname (pid: 691, threadinfo ffff8801159ca000, task ffff8801141a9730)
[   72.178173] Stack:
[   72.178175]  ffff8801159cbda8 ffffffff8125012f 0000000000000097 ffffffff00000000
[   72.178179]  ffffffff81250032 0000870400000010 0000000000000202 ffff8801197d3980
[   72.178182]  ffff880119076000 ffff8801141a9730 ffff8801159cbde8 ffffffff8125019e
[   72.178186] Call Trace:
[   72.178190]  [<ffffffff8125012f>] pci_user_read_config_word+0x73/0x91
[   72.178194]  [<ffffffff81250032>] ? __raw_spin_unlock_irq.constprop.3+0x14/0x19
[   72.178198]  [<ffffffff8125019e>] pci_vpd_pci22_wait+0x51/0xf7
[   72.178201]  [<ffffffff81250489>] pci_vpd_pci22_read+0xb4/0x12a
[   72.178205]  [<ffffffff8124fbd8>] pci_read_vpd+0x28/0x2a
[   72.178208]  [<ffffffff812576dd>] read_vpd_attr+0x33/0x35
[   72.178211]  [<ffffffff811820e8>] read+0x104/0x1c5
[   72.178214]  [<ffffffff81126f81>] vfs_read+0xa9/0xf0
[   72.178217]  [<ffffffff811270fe>] sys_pread64+0x5a/0x76
[   72.178220]  [<ffffffff814bd7c2>] system_call_fastpath+0x16/0x1b
[   72.178222] Code: 80 07 00 00 83 e3 01 e8 22 70 26 00 84 db 74 02 0f 0b 5b 41 5c 5d c3 55 48 89 e5 66 66 66 66 90 66 ff 05 12 35 b3 00 fb 66 66 90 
[   72.178237]  66 90 5d c3 55 48 89 e5 41 55 41 54 53 48 83 ec 28 66 66 66 
[   72.178244] Call Trace:
[   72.178248]  [<ffffffff8125012f>] pci_user_read_config_word+0x73/0x91
[   72.178252]  [<ffffffff81250032>] ? __raw_spin_unlock_irq.constprop.3+0x14/0x19
[   72.178255]  [<ffffffff8125019e>] pci_vpd_pci22_wait+0x51/0xf7
[   72.178259]  [<ffffffff81250489>] pci_vpd_pci22_read+0xb4/0x12a
[   72.178262]  [<ffffffff8124fbd8>] pci_read_vpd+0x28/0x2a
[   72.178266]  [<ffffffff812576dd>] read_vpd_attr+0x33/0x35
[   72.178269]  [<ffffffff811820e8>] read+0x104/0x1c5
[   72.178272]  [<ffffffff81126f81>] vfs_read+0xa9/0xf0
[   72.178275]  [<ffffffff811270fe>] sys_pread64+0x5a/0x76
[   72.178278]  [<ffffffff814bd7c2>] system_call_fastpath+0x16/0x1b
[   77.074579] INFO: rcu_sched_state detected stall on CPU 0 (t=60140 jiffies)
[   77.074579] sending NMI to all CPUs:
[   68.094000] NMI backtrace for cpu 1
[   68.094000] CPU 1 
[   68.094000] Modules linked in: mac80211 cfg80211 leds_ss4200(-) ppdev virtio_net i2c_i801 atl1 parport_pc snd_timer snd soundcore snd_page_alloc serio_raw parport iTCO_wdt iTCO_vendor_support rfkill mii i2c_core asus_atk0110 joydev usblp kvm_intel kvm microcode usb_storage uas
[   68.094000] 
[   68.094000] Pid: 8, comm: migration/1 Not tainted 2.6.40-4.fc15.x86_64 #1 System manufacturer System Product Name/P5B-MX/WiFi-AP
[   68.094000] RIP: 0010:[<ffffffff81280f37>]  [<ffffffff81280f37>] cfb_imageblit+0x193/0x41c
[   68.094000] RSP: 0018:ffff88011fc83a18  EFLAGS: 00000046
[   68.094000] RAX: 0000000000000007 RBX: ffff8801197bb000 RCX: 0000000000000000
[   68.094000] RDX: ffff880115a3c74a RSI: 0000000000000000 RDI: 0000000000000001
[   68.094000] RBP: ffff88011fc83a88 R08: ffffc900055a7c9c R09: ffff880115a3c706
[   68.094000] R10: ffffffff81644878 R11: 0000000000000289 R12: ffffc900055a7400
[   68.094000] R13: 0000000000000000 R14: ffffc900055a7ca0 R15: 0000000000000096
[   68.094000] FS:  0000000000000000(0000) GS:ffff88011fc80000(0000) knlGS:0000000000000000
[   68.094000] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[   68.094000] CR2: 00007fbb951d2000 CR3: 0000000115e2d000 CR4: 00000000000006e0
[   68.094000] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   68.094000] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   68.094000] Process migration/1 (pid: 8, threadinfo ffff88011970a000, task ffff880119702e60)
[   68.094000] Stack:
[   68.094000]  0000000115118210 0000000000000008 ffff880100000008 ffff880100aaaaaa
[   68.094000]  000000011fc83b55 ffff8801000004b0 ffff8801000004b0 ffff880100aaaaaa
[   68.094000]  0000000000000010 ffff8801197bb000 ffff88011f80c000 0000000000000000
[   68.094000] Call Trace:
[   68.094000]  <IRQ> 
[   68.094000]  [<ffffffff8127bdd8>] bit_putcs+0x3e0/0x45d
[   68.094000]  [<ffffffff812d4c5f>] ? notify_update+0x36/0x38
[   68.094000]  [<ffffffff8123ca8a>] ? put_dec+0x20/0x3c
[   68.094000]  [<ffffffff81276ca5>] fbcon_putcs+0xc7/0xd6
[   68.094000]  [<ffffffff8127b9f8>] ? bit_cursor+0x4d9/0x4d9
[   68.094000]  [<ffffffff812d77de>] vt_console_print+0x14b/0x2c4
[   68.094000]  [<ffffffff81054dfa>] __call_console_drivers+0x7d/0x8f
[   68.094000]  [<ffffffff8105507a>] _call_console_drivers+0x5c/0x60
[   68.094000]  [<ffffffff81055a17>] console_unlock+0x101/0x19f
[   68.094000]  [<ffffffff81055f58>] vprintk+0x39a/0x3e4
[   68.094000]  [<ffffffff814ae429>] printk+0x51/0x53
[   68.094000]  [<ffffffff8100b118>] show_registers+0xcb/0x206
[   68.094000]  [<ffffffff8100fdab>] show_regs+0x13/0x2a
[   68.094000]  [<ffffffff810ad119>] watchdog_timer_fn+0x104/0x144
[   68.094000]  [<ffffffff8107319b>] __run_hrtimer+0xb0/0x154
[   68.094000]  [<ffffffff810ad015>] ? __touch_watchdog+0x25/0x25
[   68.094000]  [<ffffffff810738b2>] hrtimer_interrupt+0xe0/0x19d
[   68.094000]  [<ffffffff81099d00>] ? cpu_stopper_thread+0x9d/0x187
[   68.094000]  [<ffffffff814bf2ec>] smp_apic_timer_interrupt+0x77/0x8a
[   68.094000]  [<ffffffff814be193>] apic_timer_interrupt+0x13/0x20
[   68.094000]  <EOI> 
[   68.094000]  [<ffffffff81099e4b>] ? stop_machine_cpu_stop+0x61/0xc4
[   68.094000]  [<ffffffff81099dea>] ? cpu_stopper_thread+0x187/0x187
[   68.094000]  [<ffffffff81099d5a>] cpu_stopper_thread+0xf7/0x187
[   68.094000]  [<ffffffff81045269>] ? finish_task_switch+0x83/0xb7
[   68.094000]  [<ffffffff814b58a3>] ? schedule+0x690/0x6be
[   68.094000]  [<ffffffff81040a77>] ? __wake_up_common+0x4d/0x83
[   68.094000]  [<ffffffff81099c63>] ? cpu_stop_signal_done+0x35/0x35
[   68.094000]  [<ffffffff8106fd0b>] kthread+0x84/0x8c
[   68.094000]  [<ffffffff814be8e4>] kernel_thread_helper+0x4/0x10
[   68.094000]  [<ffffffff8106fc87>] ? kthread_worker_fn+0x148/0x148
[   68.094000]  [<ffffffff814be8e0>] ? gs_change+0x13/0x13
[   68.094000] Code: d2 f7 f7 89 45 c0 41 8b 45 0c eb 52 44 0f be 2a 29 f9 4d 8d 70 04 41 d3 fd 44 23 6d b4 47 8b 2c aa 44 23 6d c8 41 31 f5 45 89 28 
[   68.094000]  c9 75 05 48 ff c2 b1 08 41 ff cb 4d 89 f0 eb 0f 44 8b 5d c0 
[   68.094000] Call Trace:
[   68.094000]  <IRQ>  [<ffffffff8127bdd8>] bit_putcs+0x3e0/0x45d
[   68.094000]  [<ffffffff812d4c5f>] ? notify_update+0x36/0x38
[   68.094000]  [<ffffffff8123ca8a>] ? put_dec+0x20/0x3c
[   68.094000]  [<ffffffff81276ca5>] fbcon_putcs+0xc7/0xd6
[   68.094000]  [<ffffffff8127b9f8>] ? bit_cursor+0x4d9/0x4d9
[   68.094000]  [<ffffffff812d77de>] vt_console_print+0x14b/0x2c4
[   68.094000]  [<ffffffff81054dfa>] __call_console_drivers+0x7d/0x8f
[   68.094000]  [<ffffffff8105507a>] _call_console_drivers+0x5c/0x60
[   68.094000]  [<ffffffff81055a17>] console_unlock+0x101/0x19f
[   68.094000]  [<ffffffff81055f58>] vprintk+0x39a/0x3e4
[   68.094000]  [<ffffffff814ae429>] printk+0x51/0x53
[   68.094000]  [<ffffffff8100b118>] show_registers+0xcb/0x206
[   68.094000]  [<ffffffff8100fdab>] show_regs+0x13/0x2a
[   68.094000]  [<ffffffff810ad119>] watchdog_timer_fn+0x104/0x144
[   68.094000]  [<ffffffff8107319b>] __run_hrtimer+0xb0/0x154
[   68.094000]  [<ffffffff810ad015>] ? __touch_watchdog+0x25/0x25
[   68.094000]  [<ffffffff810738b2>] hrtimer_interrupt+0xe0/0x19d
[   68.094000]  [<ffffffff81099d00>] ? cpu_stopper_thread+0x9d/0x187
[   68.094000]  [<ffffffff814bf2ec>] smp_apic_timer_interrupt+0x77/0x8a
[   68.094000]  [<ffffffff814be193>] apic_timer_interrupt+0x13/0x20
[   68.094000]  <EOI>  [<ffffffff81099e4b>] ? stop_machine_cpu_stop+0x61/0xc4
[   68.094000]  [<ffffffff81099dea>] ? cpu_stopper_thread+0x187/0x187
[   68.094000]  [<ffffffff81099d5a>] cpu_stopper_thread+0xf7/0x187
[   68.094000]  [<ffffffff81045269>] ? finish_task_switch+0x83/0xb7
[   68.094000]  [<ffffffff814b58a3>] ? schedule+0x690/0x6be
[   68.094000]  [<ffffffff81040a77>] ? __wake_up_common+0x4d/0x83
[   68.094000]  [<ffffffff81099c63>] ? cpu_stop_signal_done+0x35/0x35
[   68.094000]  [<ffffffff8106fd0b>] kthread+0x84/0x8c
[   68.094000]  [<ffffffff814be8e4>] kernel_thread_helper+0x4/0x10
[   68.094000]  [<ffffffff8106fc87>] ? kthread_worker_fn+0x148/0x148
[   68.094000]  [<ffffffff814be8e0>] ? gs_change+0x13/0x13
[   77.074579] NMI backtrace for cpu 0
[   77.074579] CPU 0 
[   77.074579] Modules linked in: mac80211 cfg80211 leds_ss4200(-) ppdev virtio_net i2c_i801 atl1 parport_pc snd_timer snd soundcore snd_page_alloc serio_raw parport iTCO_wdt iTCO_vendor_support rfkill mii i2c_core asus_atk0110 joydev usblp kvm_intel kvm microcode usb_storage uas
[   77.074579] 
[   77.074579] Pid: 691, comm: biosdevname Not tainted 2.6.40-4.fc15.x86_64 #1 System manufacturer System Product Name/P5B-MX/WiFi-AP
[   77.074579] RIP: 0010:[<ffffffff8123f1a0>]  [<ffffffff8123f1a0>] ip_compute_csum+0x34/0x34
[   77.074579] RSP: 0018:ffff88011fc03d90  EFLAGS: 00000847
[   77.074579] RAX: 000000003709eb80 RBX: 0000000000002710 RCX: 0000000000000040
[   77.074579] RDX: 00000000001c7c60 RSI: 0000000000000100 RDI: 00000000001c7c61
[   77.074579] RBP: ffff88011fc03db8 R08: 0000000000000002 R09: 0000ffff00066c0a
[   77.074579] R10: 0000ffff00066c0a R11: 0000000000000000 R12: 00000000001c7c61
[   77.074579] R13: 0000000000000000 R14: ffff88011fc03f50 R15: 7fffffffffffffff
[   77.074579] FS:  00007f8190556720(0000) GS:ffff88011fc00000(0000) knlGS:0000000000000000
[   77.074579] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   77.074579] CR2: 0000003e38ad4740 CR3: 0000000118555000 CR4: 00000000000006f0
[   77.074579] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   77.074579] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[   77.074579] Process biosdevname (pid: 691, threadinfo ffff8801159ca000, task ffff8801141a9730)
[   77.074579] Stack:
[   77.074579]  ffffffff8123f27b 0000000000002710 ffffffff81a2bd00 ffffffff81a2be00
[   77.074579]  ffff88011fc03f50 ffff88011fc03dc8 ffffffff8123f1f9 ffff88011fc03dd8
[   77.074579]  ffffffff8123f227 ffff88011fc03df8 ffffffff81021955 0000000000000000
[   77.074579] Call Trace:
[   77.074579]  <IRQ> 
[   77.074579]  [<ffffffff8123f27b>] ? delay_tsc+0x27/0x74
[   77.074579]  [<ffffffff8123f1f9>] __delay+0xf/0x11
[   77.074579]  [<ffffffff8123f227>] __const_udelay+0x2c/0x2e
[   77.074579]  [<ffffffff81021955>] arch_trigger_all_cpu_backtrace+0x76/0x89
[   77.074579]  [<ffffffff810b2743>] __rcu_pending+0x89/0x322
[   77.074579]  [<ffffffff810b2dde>] rcu_check_callbacks+0x88/0xb9
[   77.074579]  [<ffffffff81062478>] update_process_times+0x3f/0x76
[   77.074579]  [<ffffffff8107e166>] tick_sched_timer+0x75/0x9f
[   77.074579]  [<ffffffff8107319b>] __run_hrtimer+0xb0/0x154
[   77.074579]  [<ffffffff8107e0f1>] ? tick_nohz_handler+0xde/0xde
[   77.074579]  [<ffffffff810738b2>] hrtimer_interrupt+0xe0/0x19d
[   77.074579]  [<ffffffff814bf2ec>] smp_apic_timer_interrupt+0x77/0x8a
[   77.074579]  [<ffffffff814be193>] apic_timer_interrupt+0x13/0x20
[   77.074579]  <EOI> 
[   77.074579]  [<ffffffff810832ef>] ? arch_local_irq_save+0x15/0x1b
[   77.074579]  [<ffffffff81250032>] ? __raw_spin_unlock_irq.constprop.3+0x14/0x19
[   77.074579]  [<ffffffff813c6e07>] ? pci_read+0x2c/0x2e
[   77.074579]  [<ffffffff8125012f>] pci_user_read_config_word+0x73/0x91
[   77.074579]  [<ffffffff81250032>] ? __raw_spin_unlock_irq.constprop.3+0x14/0x19
[   77.074579]  [<ffffffff8125019e>] pci_vpd_pci22_wait+0x51/0xf7
[   77.074579]  [<ffffffff81250489>] pci_vpd_pci22_read+0xb4/0x12a
[   77.074579]  [<ffffffff8124fbd8>] pci_read_vpd+0x28/0x2a
[   77.074579]  [<ffffffff812576dd>] read_vpd_attr+0x33/0x35
[   77.074579]  [<ffffffff811820e8>] read+0x104/0x1c5
[   77.074579]  [<ffffffff81126f81>] vfs_read+0xa9/0xf0
[   77.074579]  [<ffffffff811270fe>] sys_pread64+0x5a/0x76
[   77.074579]  [<ffffffff814bd7c2>] system_call_fastpath+0x16/0x1b
[   77.074579] Code: 31 d2 e8 9c fe ff ff 89 c2 66 31 c0 c1 e2 10 01 d0 15 ff ff 00 00 f7 d0 c1 e8 10 5d c3 90 90 90 90 90 90 90 90 90 90 90 90 90 90 
[   77.074579]  48 89 e5 66 66 66 66 90 e8 e7 01 dd ff 66 90 5d c3 55 48 89 
[   77.074579] Call Trace:
[   77.074579]  <IRQ>  [<ffffffff8123f27b>] ? delay_tsc+0x27/0x74
[   77.074579]  [<ffffffff8123f1f9>] __delay+0xf/0x11
[   77.074579]  [<ffffffff8123f227>] __const_udelay+0x2c/0x2e
[   77.074579]  [<ffffffff81021955>] arch_trigger_all_cpu_backtrace+0x76/0x89
[   77.074579]  [<ffffffff810b2743>] __rcu_pending+0x89/0x322
[   77.074579]  [<ffffffff810b2dde>] rcu_check_callbacks+0x88/0xb9
[   77.074579]  [<ffffffff81062478>] update_process_times+0x3f/0x76
[   77.074579]  [<ffffffff8107e166>] tick_sched_timer+0x75/0x9f
[   77.074579]  [<ffffffff8107319b>] __run_hrtimer+0xb0/0x154
[   77.074579]  [<ffffffff8107e0f1>] ? tick_nohz_handler+0xde/0xde
[   77.074579]  [<ffffffff810738b2>] hrtimer_interrupt+0xe0/0x19d
[   77.074579]  [<ffffffff814bf2ec>] smp_apic_timer_interrupt+0x77/0x8a
[   77.074579]  [<ffffffff814be193>] apic_timer_interrupt+0x13/0x20
[   77.074579]  <EOI>  [<ffffffff810832ef>] ? arch_local_irq_save+0x15/0x1b
[   77.074579]  [<ffffffff81250032>] ? __raw_spin_unlock_irq.constprop.3+0x14/0x19
[   77.074579]  [<ffffffff813c6e07>] ? pci_read+0x2c/0x2e
[   77.074579]  [<ffffffff8125012f>] pci_user_read_config_word+0x73/0x91
[   77.074579]  [<ffffffff81250032>] ? __raw_spin_unlock_irq.constprop.3+0x14/0x19
[   77.074579]  [<ffffffff8125019e>] pci_vpd_pci22_wait+0x51/0xf7
[   77.074579]  [<ffffffff81250489>] pci_vpd_pci22_read+0xb4/0x12a
[   77.074579]  [<ffffffff8124fbd8>] pci_read_vpd+0x28/0x2a
[   77.074579]  [<ffffffff812576dd>] read_vpd_attr+0x33/0x35
[   77.074579]  [<ffffffff811820e8>] read+0x104/0x1c5
[   77.074579]  [<ffffffff81126f81>] vfs_read+0xa9/0xf0
[   77.074579]  [<ffffffff811270fe>] sys_pread64+0x5a/0x76
[   77.074579]  [<ffffffff814bd7c2>] system_call_fastpath+0x16/0x1b
[   68.094000] 1a d1 19 00 41 39 c4 41 0f 94 c6 eb 0e 44 0f a3 20 45 19 e4 45 85 e4 41 0f 95 c6 45 31 ed 31 c0 4c 8d 7b 24 eb 03 44 89 e0 f3 90 
[   68.094000]  8b 63 20 41 39 c4 74 3f 41 83 fc 02 74 08 41 83 fc 03 75 19 
[   68.094000] Call Trace:
[   68.094000]  [<ffffffff81099dea>] ? cpu_stopper_thread+0x187/0x187
[   68.094000]  [<ffffffff81099d5a>] cpu_stopper_thread+0xf7/0x187
[   68.094000]  [<ffffffff81045269>] ? finish_task_switch+0x83/0xb7
[   68.094000]  [<ffffffff814b58a3>] ? schedule+0x690/0x6be
[   68.094000]  [<ffffffff81040a77>] ? __wake_up_common+0x4d/0x83
[   68.094000]  [<ffffffff81099c63>] ? cpu_stop_signal_done+0x35/0x35
[   68.094000]  [<ffffffff8106fd0b>] kthread+0x84/0x8c
[   68.094000]  [<ffffffff814be8e4>] kernel_thread_helper+0x4/0x10
[   68.094000]  [<ffffffff8106fc87>] ? kthread_worker_fn+0x148/0x148
[   68.094000]  [<ffffffff814be8e0>] ? gs_change+0x13/0x13

Comment 24 Steve 2011-08-14 11:59:47 UTC
I can also confirm this bug. This is happening at startup, since F15.

Comment 25 John W. Linville 2011-08-24 15:32:46 UTC
Does this problem persist with 2.6.40 (or later) kernels?

Comment 26 Steve 2011-08-24 15:44:02 UTC
(In reply to comment #25)
> Does this problem persist with 2.6.40 (or later) kernels?

Yes

Comment 27 John W. Linville 2011-08-24 16:09:04 UTC
Please post your 2.6.40-based dmesg output.  (FWIW, the output in comment 23 has no obvious relation to ath5k.)

Comment 28 Steve 2011-08-24 16:49:14 UTC
Created attachment 519669 [details]
dmesg as requested

Comment 29 John W. Linville 2011-08-24 17:04:23 UTC
The dmesg in comment 28 looks quite a bit like the stuff in comment 23, and IMHO quite a but _un_like the original bug report here.

You (Steve and/or Attila) should open a new bug against the kernel for the issue you are experiencing.  You might want to point-out that biosdevname is the binary being called.

DAKSH, please confirm if you are still experiencing this issue on 2.6.40.  If so, please attach a current dmesg output as well.

Comment 30 Steve 2011-08-25 06:08:53 UTC
I made a new bug report: https://bugzilla.redhat.com/show_bug.cgi?id=733197

Comment 31 Josh Boyer 2011-09-27 16:07:20 UTC
*** Bug 711962 has been marked as a duplicate of this bug. ***

Comment 32 Sam Tygier 2011-10-06 09:14:15 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
was running fedora in kvm/qemu. i was having trouble with ld taking large amounts of RAM for linking a fortran program. everything was slow due to swapping, so left the virtual machine for a while. when i came back it had locked up.

Comment 33 jiker 2011-10-09 02:29:09 UTC
Package: kernel
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
Perhaps this bug has already been sent few minutes ago, i'm not sure. The problem happend while I was copying files between /home/user, a popup windows appear to inform me about an application crash the /var/log/messages related is :

Oct  9 03:19:29 SunPC kernel: [ 4581.502855] tracker-extract[6254]: segfault at 8 ip 00f83a66 sp b32f9140 error 4 in libextract-text.so[f83000+1000]
Oct  9 03:19:30 SunPC abrtd: Directory 'ccpp-2011-10-09-03:19:29-6245' creation detected
Oct  9 03:19:30 SunPC abrt[6259]: saved core dump of pid 6245 (/usr/libexec/tracker-extract) to /var/spool/abrt/ccpp-2011-10-09-03:19:29-6245 (110940160 bytes)
Oct  9 03:19:30 SunPC kernel: [ 4582.958078] tracker-extract[6274]: segfault at 8 ip 0015ea66 sp b19f6140 error 4 in libextract-text.so[15e000+1000]
Oct  9 03:19:30 SunPC abrt[6276]: not dumping repeating crash in '/usr/libexec/tracker-extract'
Oct  9 03:19:33 SunPC abrtd: New dump directory /var/spool/abrt/ccpp-2011-10-09-03:19:29-6245, processing
Oct  9 03:19:34 SunPC kernel: [ 4586.539838] tracker-extract[6313]: segfault at 8 ip 00d9da66 sp b32f9140 error 4 in libextract-text.so[d9d000+1000]
Oct  9 03:19:34 SunPC abrt[6318]: not dumping repeating crash in '/usr/libexec/tracker-extract'
Oct  9 03:19:34 SunPC kernel: [ 4586.664792] tracker-extract[6329]: segfault at 8 ip 001fba66 sp b31f9140 error 4 in libextract-text.so[1fb000+1000]
Oct  9 03:19:34 SunPC abrt[6334]: not dumping repeating crash in '/usr/libexec/tracker-extract'
Oct  9 03:30:01 SunPC abrtd: New client connected
Oct  9 03:30:01 SunPC abrt-server[6504]: /var/spool/abrt/
Oct  9 04:01:02 SunPC systemd-logind[522]: New user root logged in.
Oct  9 04:01:02 SunPC systemd-logind[522]: New session 4 of user root.
Oct  9 04:01:02 SunPC systemd-logind[522]: Removed session 4.
Oct  9 04:01:02 SunPC systemd-logind[522]: User root logged out.
Oct  9 04:04:15 SunPC rsyslogd-2177: imuxsock lost 3118 messages from pid 535 due to rate-limiting
Oct  9 04:04:15 SunPC dbus-daemon[535]: helper(pid  6812): completed with exit code 0
Oct  9 04:04:15 SunPC dbus-daemon[535]: **** EMITTING CHANGED for /sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0/block/sda
Oct  9 04:09:14 SunPC dbus-daemon[535]: dbus[535]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Oct  9 04:09:14 SunPC dbus[535]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Oct  9 04:09:15 SunPC dbus-daemon[535]: dbus[535]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Oct  9 04:09:15 SunPC dbus[535]: [system] Successfully activated service 'org.freedesktop.PackageKit'

Comment 34 Kevin 2011-10-10 00:31:21 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
rt2500 power saving feature causes kernel panic. can be averted by executing 'iw dev wlan0 set power_save off'

Comment 35 Sjoerd Mullender 2011-10-10 13:18:31 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I booted the system and then logged in.  Then I noticed the error icon in the toolbar which pointed to this crash.

Comment 36 Masami Ichikawa 2011-11-08 12:13:18 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
ABRT some times detects soft lockup but I don't know what caused this problem.

Comment 37 Terry Wallwork 2011-11-15 10:26:45 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
kernel crash

Comment 38 Terry Wallwork 2011-11-15 11:12:34 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
unknown reason

Comment 39 vjain02 2011-11-19 06:09:53 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
plain gnome 3 session , rhythmbox, xhcat, google-chrome

Comment 40 vjain02 2011-11-25 06:21:23 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Plain gnome 3 session, vlc, firefox, google-chrome etc.

Comment 41 Samuel Greenfeld 2011-12-12 14:33:22 UTC
Package: kernel
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Unplugged USB stick after unmounting it at command line

Comment 42 khuber 2012-01-25 17:25:22 UTC
Nearly every program I use, shortly there after, I am alerted with a PROBLEM has OCCURED.

Package: kernel
OS Release: 3.2.1-3.fc16.x86_64

Comment 43 David M. 2012-01-26 23:37:37 UTC
My paralel HP printer LaserJet 6l is not working, keeps giving me

"Unable to bind socket for address [v1.::1]:631 - Address already in use."


might have comthing to do with this bug.


Package: kernel
OS Release: Fedora release 16 (Verne)

Comment 44 David M. 2012-01-27 04:46:05 UTC
Not reqally sure, HP printer keeps failing, something about a postscript problem, might have something to do with it.

Package: kernel
OS Release: Fedora release 16 (Verne)

Comment 45 ThiTan Tran 2012-02-02 04:23:27 UTC
trying to run yum update from the terminal

Package: kernel
OS Release: Fedora release 16 (Verne)

Comment 46 Frank Murphy 2012-02-08 11:37:46 UTC
Installed from Nightly Xfce 20120205 32bit

I was manually removing uneeded rpms.
With two xfce-terminal windows open
rpm -qa a\* in one

yum erase foo bar in the other


Package: kernel
Architecture: i686
OS Release: Fedora release 17 (Rawhide)

Comment 47 Dave Jones 2012-02-10 17:42:07 UTC
 92         for (timeout = AR5K_TUNE_REGISTER_TIMEOUT; timeout > 0; timeout--) {
 93                 status = ath5k_hw_reg_read(ah, AR5K_EEPROM_STATUS);
 94                 if (status & AR5K_EEPROM_STAT_RDDONE) {
 95                         if (status & AR5K_EEPROM_STAT_RDERR)
 96                                 return false;
 97                         *data = (u16)(ath5k_hw_reg_read(ah, AR5K_EEPROM_DATA) &
 98                                         0xffff);
 99                         return true;
100                 }   
101                 usleep_range(15, 20);
102         }   


AR5K_TUNE_REGISTER_TIMEOUT is 20000. So we can spin here in kernel space for some time if the hardware stops responding for some reason (which it seems, it does).

Comment 48 Bob Copeland 2012-02-10 23:23:52 UTC
It used to be a udelay instead of usleep (as of a November patch) -- I doubt it would make much difference if sleep was also increased and # of loops decreased a lot.

Comment 49 Devon Janitz 2012-02-16 20:16:20 UTC
Ran the preupgrade program on a Fedora 15 to 16 upgrade.

Package: kernel
OS Release: Fedora release 15 (Lovelock)

Comment 50 Frank Murphy 2012-02-23 12:37:51 UTC
I was going through autofs mounted nfs mounts, when this kvm guest disconnected from the host, I have a watchdog installed, with kvm defaults (force guest refresh) has happended more that once, despite what abrt count says.

Package: kernel
Architecture: i686
OS Release: Fedora release 18 (Rawhide)

Comment 51 David Jaša 2012-03-15 17:44:51 UTC
suspend & resume cycle when some VM is running

Package: kernel
OS Release: Red Hat Enterprise Linux Workstation release 6.3 Beta (Santiago)

Comment 52 Paul Alesius 2012-03-29 19:47:35 UTC
started recording in youtube with flash and built-in webcam.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)

Comment 53 Ví­ctor Daniel 2012-04-02 05:36:26 UTC
Using camera in facebook in flash player.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)

Comment 54 Michal Ambroz 2012-04-03 00:38:00 UTC
I was trying to hibernate from the personal menu. Issue can have some relation to the face that my disk is encypted with LUKS (system partition, home, swap, LVM, data disks) .

Package: kernel
OS Release: Fedora release 17 Alpha (Beefy Miracle)

Comment 55 Michal Ambroz 2012-04-03 00:47:01 UTC
(In reply to comment #54)
I was probably misdirected here by abrt. My backtrack seems very different and I do not have ath5 drivers.

BUG: unable to handle kernel NULL pointer dereference at 0000000000000039
IP: [<ffffffff814c8d57>] __sys_sendmsg+0x2d7/0x430
PGD 706c7067 PUD 70312067 PMD 0 
Oops: 0000 [#1] SMP 
CPU 0 
Modules linked in: fuse rfcomm bnep be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_netbios_ns nf_conntrack_broadcast nf_conntrack_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 nf_defrag_ipv4 ip6table_filter xt_state nf_conntrack ip6_tables snd_hda_codec_analog ppdev hp_wmi parport_pc arc4 btusb bluetooth sparse_keymap hp_accel parport snd_hda_intel snd_hda_codec iwlwifi snd_hwdep snd_pcm snd_page_alloc snd_timer mac80211 snd soundcore iTCO_wdt cfg80211 rfkill e1000e iTCO_vendor_support lis3lv02d serio_raw input_polldev microcode vhost_net tun macvtap macvlan kvm binfmt_misc uinput sha256_generic xts gf128mul pata_pcmcia dm_crypt sdhci_pci sdhci firewire_ohci yenta_socket mmc_core firewire_core crc_itu_t ata_generic pata_acpi wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_sca
n]
Pid: 1193, comm: upowerd Not tainted 3.3.0-8.fc17.x86_64 #1 Hewlett-Packard HP EliteBook 6930p/30DB
RIP: 0010:[<ffffffff814c8d57>]  [<ffffffff814c8d57>] __sys_sendmsg+0x2d7/0x430
RSP: 0018:ffff88007071bd68  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff88007071bf20 RCX: 0000000000000000
RDX: ffff88007071be28 RSI: 000000007fffffff RDI: ffff88007071bdc8
RBP: ffff88007071bf08 R08: 0000000000000068 R09: ffff88007071bdb8
R10: 0000000000000000 R11: 0000000000000293 R12: 0000000000004000
R13: ffff88007071bda8 R14: ffff8800363f6800 R15: 0000000000000000
FS:  00007fe1a3e43800(0000) GS:ffff880077800000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000039 CR3: 000000007039e000 CR4: 00000000000406f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process upowerd (pid: 1193, threadinfo ffff88007071a000, task ffff880070c98000)
Stack:
 ffff88006fc17218 8000000061599065 ffff880000000029 00007fff9b589090
 ffff88007071be28 ffff88007071be28 0000002000000000 ffff88007071bda8
 00000000011a62b0 0000000000000068 00000000011c00c0 0000000000000000
Call Trace:
 [<ffffffff811445e3>] ? handle_mm_fault+0x1d3/0x2e0
 [<ffffffff815eee0c>] ? do_page_fault+0x1bc/0x4b0
 [<ffffffff81078d6c>] ? remove_wait_queue+0x3c/0x50
 [<ffffffff8105a08b>] ? do_wait+0x12b/0x250
 [<ffffffff814cb0e9>] sys_sendmsg+0x49/0x90
 [<ffffffff815f33e9>] system_call_fastpath+0x16/0x1b
Code: ff 0f 1f 00 48 8d 95 20 ff ff ff c7 85 90 fe ff ff 00 00 00 00 48 89 95 80 fe ff ff 48 89 95 88 fe ff ff 44 89 63 30 49 8b 46 18 <f6> 40 39 08 74 08 41 83 cc 40 44 89 63 30 4d 85 ff 0f 84 22 01 
RIP  [<ffffffff814c8d57>] __sys_sendmsg+0x2d7/0x430
 RSP <ffff88007071bd68>
CR2: 0000000000000039

Comment 56 Michal Ambroz 2012-04-04 20:08:34 UTC
1) Boot up the laptop with the primary laptop display without docking station
2) Hibernate the laptop from Personal Menu
3) Place the laptop to docking station with external monitor attached
4) Boot up the laptop

It might be related to fact that all disks are encrypted with LUKS.


Package: kernel
OS Release: Fedora release 17 Alpha (Beefy Miracle)

Comment 57 John 2012-04-07 06:24:19 UTC
System was idle.  No applications were running.  No user interaction was occurring.

Package: kernel
OS Release: Fedora release 16 (Verne)

Comment 58 Boricua 2012-04-10 08:41:36 UTC
The system stoped working (total freeze) and a hard reboot was necessary.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)

Comment 59 Boricua 2012-04-10 08:56:01 UTC
I don't know if I was also misdirected here by abrt. I just suffered the most recent freeze and found for the first time a abrt alert pointing to a kernel issue, which brought me here.  As well a Michal, my system is encrypted with LUKS. I filed bug 810695 against this issue a couple of days ago.

Comment 60 John W. Linville 2012-04-10 14:33:56 UTC
abrt seems to be using this bug as a dumping ground.  The original ath5k issue has been addressed some time ago.

I'm going to close this one, in hopes that the (apparently broken) duplicate detection code in abrt will go pick-on someone else for a while...

Comment 61 Braden McDaniel 2012-04-20 14:45:43 UTC
Nope; abrt is still picking this one up for new issues.

Comment 62 Matt Hooper 2012-04-26 20:52:53 UTC
Abrt just sent me here for a btrfs related crash.

Logging into Bugzilla at https://bugzilla.redhat.com
Checking for duplicates
Bug is already reported: 718431
Bug 718431 is a duplicate, using parent bug 713687
Logging out
Status: CLOSED CURRENTRELEASE https://bugzilla.redhat.com/show_bug.cgi?id=713687


Raised bug #816745.

Comment 63 Nestor Waldyd 2014-08-20 18:32:56 UTC
In my case, erasing google-chrome from start up programs solved the issue:

rm .config/autostart/google-chrome.desktop


Note You need to log in before you can comment on or make changes to this bug.